#!/usr/bin/env python
# -*- coding: utf-8 -*-

__version__= "0.1-beta1"
__authors__= "Juan Colino & Jorge Diez"
__email__= "juan.colino@gmail.com"
__license__= """
 --------------------------------------------------------------------------

 Waltz 0.1 - GTK Icon Management System
 Copyright (C) 2006 Juan Colino
 <juan.colino@gmail.com>

 --------------------------------------------------------------------------

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 --------------------------------------------------------------------------
"""


import pygtk
pygtk.require('2.0')
import gobject
import gtk
import glob

import prefs
import model
import gui

class Waltz:
    "Modela la aplicación"

    version = __version__

    def __init__(self):
	"Lanzador de la aplicacion"
	
	self.prefs = prefs.Prefs()
	self.mainWindow = gui.MainWindow(self, self.prefs)

    def read_icons_from_directory(self, directory):
	"Crea objetos icono para cada png/svg que encuentra en un directorio"

	png_icons = glob.glob(directory + "/*.png")
	svg_icons = glob.glob(directory + "/*.svg")
	self.icon_list = []
	for icon_name in png_icons:
	    icon_path = icon_name
	    # FIXME: juntar las clases icon y theme en un modulo llamado model
	    # icon = model.Icon(icon_path)
	    icon = model.Icon(icon_path)
	    self.icon_list.append(icon)
	self.mainWindow.show_icons(self.icon_list)
	self.mainWindow.show_status(directory + ' ' + 'abierto', 'user_events')

    def main(self):
	"Inicia el bucle de eventos GTK+"

	gtk.main()

if __name__ == "__main__":
    waltz = Waltz() 
    waltz.main() 
